package com.yd.rmi.n22.salary.pojo.searchstaffsalarydetails;

import com.fasterxml.jackson.annotation.JsonProperty;


public class Commission {
    private String Customer;

    private String Policyno;

    private String Pol_name_chn;

    private String EffectiveDate;

    private String Insurance_Cust;

    private int Year;

    private int YearPREMIUM;

    private double SalesCommissionRate;

    private double FYC_RYC;

    private String Level;

    private int Rate;

    private double Commission;

    private String Salestaff;

    private String SaleSystem;

    private String Comments;

    public Commission() {
    }

    public String getCustomer() {
        return Customer;
    }

    @JsonProperty("Customer")
    public void setCustomer(String customer) {
        Customer = customer;
    }

    public String getPolicyno() {
        return Policyno;
    }

    @JsonProperty("Policyno")
    public void setPolicyno(String policyno) {
        Policyno = policyno;
    }

    public String getPol_name_chn() {
        return Pol_name_chn;
    }

    @JsonProperty("Pol_name_chn")
    public void setPol_name_chn(String pol_name_chn) {
        Pol_name_chn = pol_name_chn;
    }

    public String getEffectiveDate() {
        return EffectiveDate;
    }

    @JsonProperty("EffectiveDate")
    public void setEffectiveDate(String effectiveDate) {
        EffectiveDate = effectiveDate;
    }

    public String getInsurance_Cust() {
        return Insurance_Cust;
    }
    @JsonProperty("Insurance_Cust")
    public void setInsurance_Cust(String insurance_Cust) {
        Insurance_Cust = insurance_Cust;
    }

    public int getYear() {
        return Year;
    }
    @JsonProperty("Year")
    public void setYear(int year) {
        Year = year;
    }

    public int getYearPREMIUM() {
        return YearPREMIUM;
    }
    @JsonProperty("YearPREMIUM")
    public void setYearPREMIUM(int yearPREMIUM) {
        YearPREMIUM = yearPREMIUM;
    }

    public double getSalesCommissionRate() {
        return SalesCommissionRate;
    }
    @JsonProperty("SalesCommissionRate")
    public void setSalesCommissionRate(double salesCommissionRate) {
        SalesCommissionRate = salesCommissionRate;
    }

    public double getFYC_RYC() {
        return FYC_RYC;
    }

    @JsonProperty("FYC/RYC")
    public void setFYC_RYC(double FYC_RYC) {
        this.FYC_RYC = FYC_RYC;
    }

    public String getLevel() {
        return Level;
    }
    @JsonProperty("Level")
    public void setLevel(String level) {
        Level = level;
    }

    public int getRate() {
        return Rate;
    }
    @JsonProperty("Rate")
    public void setRate(int rate) {
        Rate = rate;
    }

    public double getCommission() {
        return Commission;
    }
    @JsonProperty("Commission")
    public void setCommission(double commission) {
        Commission = commission;
    }

    public String getSalestaff() {
        return Salestaff;
    }
    @JsonProperty("Salestaff")
    public void setSalestaff(String salestaff) {
        Salestaff = salestaff;
    }

    public String getSaleSystem() {
        return SaleSystem;
    }
    @JsonProperty("SaleSystem")
    public void setSaleSystem(String saleSystem) {
        SaleSystem = saleSystem;
    }

    public String getComments() {
        return Comments;
    }
    @JsonProperty("Comments")
    public void setComments(String comments) {
        Comments = comments;
    }
}
